require 'active_record'

ActiveRecord::Base.establish_connection(adapter: "sqlite3", database: ":memory:")

ActiveRecord::Schema.define(:version => 20120824000000) do
  create_table "orders" do |t|
    t.integer "shopping_item_id"
    t.integer "user_id"
    t.string "status", default: "initialized"
    t.timestamps
  end

  create_table "shopping_items" do |t|
    t.string "item_name"
    t.string "item_type"
    t.integer "price"
    t.timestamps
  end

  create_table "users" do |t|
    t.string "user_name"
    t.string "email"
    t.string "job"
    t.string "password"
    t.string "salt"
    t.string "status"
    t.datetime "registered_at"
  end
end

class Order < ActiveRecord::Base
end

class ShoppingItem < ActiveRecord::Base
end

class User < ActiveRecord::Base
end
